import DB from "services/db";

/**
 * Check if application is initialized
 * @returns {Promise.<boolean>}
 */
export async function isInitialized()
{
    return await DB.getCollection("AppState").findOne({ isInitialized: true }) !== undefined;
}

/**
 * Set application as initialized
 * @returns {Promise.<void>}
 */
export async function setInitialized()
{
    await DB.getCollection("AppState").update(
        {},
        { $set: { isInitialized: true } },
        { upsert: true }
    );
}