const UglifyJsPlugin = require("uglifyjs-webpack-plugin");

module.exports = {
    resolve: {
        modules: [
            "src",
            "node_modules"
        ]
    },
    devtool: "source-map",
    plugins: [
        new UglifyJsPlugin({
            cache: true,
            parallel: true,
            sourceMap: true
        })
    ],
    target: "node-webkit",
    entry: "./src/app.js",
    output: {
        filename: "src/app.dist.js"
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                loader: "vue-loader",
                options: {}
            },
            {
                test: /\.(jpe?g|png|ttf|eot|svg|woff(2)?)(\?[a-z0-9=&.]+)?$/,
                use: "base64-inline-loader?name=[name].[ext]"
            }
        ]
    }
};